Subject: RE: WG ACTION: comments requested for slpv2bis final list of chan ges

From: Mike Day <[email-masked]>
Date: Tue, 19 Sep 2000 11:44:53 -0600

Yes, you do. 

There is another point that is a fringe issue but I will raise it anyway.
Where you have services that go on or off frequently, or change attributes,
states, or even service access points very frequently, (once per second or
more frequently, for example) you need to query those services directly
(i.e., multicasting the srvreq directly to the sa). In this type of
environment a DA is not completely effective and might not be deployed. 

I'm not saying that DAs won't work in this environment. I'm also not saying
that you should use SLP in the place of other existing protocols. I'm only
raising it as something SLP may want to address with exclusion lists. 

Mike

> -----Original Message-----
> From: Erik Guttman [mailto:[email-masked]]
> Sent: Tuesday, September 19, 2000 10:57 AM
> To: [email-masked]; Mike Day
> Cc: Matthew Peterson; [email-masked];
> [email-masked]
> Subject: Re: WG ACTION: comments requested for slpv2bis final list of
> changes
> 
> 
> 
> >  - There are scenarios where deploying a DA is not feasible and
> >    you have many services.  For example - imagine the middle of
> >    a 'core network' where there's a lot of infrastructure (switches,
> >    meters, hubs, etc.) all of which are *manageable* but have no
> >    user interface.  It makes no sense to use scopes there, and it
> >    would be best not to run any services either.  This is just the
> >    space where Intel's product really shined.
> 
> This wasn't clear - sorry.  What I meant to say was that you don't
> want to run directory services (like DAs) where no 'hosts' should
> be.  On the other hand, you want to be able to discover devices which
> are running a management agent which are part of the network infra-
> structure.  SLP using exclusion lists means you can use multicast
> convergence and find all of them - without requiring a DA or scopes
> to scale.  
> 
> This may sound like a far-fetched scenario, but there is a lot of
> the network infrastructure out there which needs to be managed for
> which this could be very useful.  Mike - do I have this right?
> 
> Erik
> 
>